CVE-2010-4668 (retired)

Priority
Description
The blk_rq_map_user_iov function in block/blk-map.c in the Linux kernel
before 2.6.37-rc7 allows local users to cause a denial of service (panic)
via a zero-length I/O request in a device ioctl to a SCSI device, related
to an unaligned map. NOTE: this vulnerability exists because of an
incomplete fix for CVE-2010-4163.
Ubuntu-Description
Dan Rosenberg discovered that the SCSI subsystem did not correctly validate
iov segments. A local attacker with access to a SCSI device could send
specially crafted requests to crash the system, leading to a denial of
service.
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
Package
Upstream:released (2.6.37~rc7)
More Information

Updated: 2019-03-26 11:54:26 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)